/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package repository;

import domen.CityEntity;
import domen.UserEntity;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author FON
 */
public class CityRepository {

    private List<CityEntity> cities;
    private static CityRepository instance;

    private CityRepository() {
        cities = new ArrayList<>();
        cities.add(new CityEntity(11000l, "Beograd"));
        cities.add(new CityEntity(18000l, "Nis"));
        cities.add(new CityEntity(16000l, "Leskovac"));
    }

    public static CityRepository getInstance() {
        if (instance == null) {
            instance = new CityRepository();
        }
        return instance;
    }

    
    public void addCity(CityEntity city) throws Exception {
        if (!cities.contains(city)) {
            cities.add(city);
        } else {
            throw new Exception("City already exists");
        }
    }

    public List<CityEntity> getAllCities() {
        return cities;
    }

    public void removeCity(Long cityId) {
        for (CityEntity city : cities) {
            if (city.getCode().equals(cityId)) {
                cities.remove(city);
                return;
            }
        }
    }
}
