<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%-- 
    Document   : view_cities
    Created on : Apr 18, 2018, 2:57:15 PM
    Author     : FON
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>View cities</title>
    </head>
    <body>
        <jsp:include page="login_user.jsp"></jsp:include>
        <jsp:include page="menu.jsp"></jsp:include>
            <h1>All cities</h1>
            <form action="" method="">
                <table border="0">
                    <thead>
                        <tr>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    <c:forEach var="city" items="${cities}">
                        <tr>
                            <td>${city.getCode()}</td>
                            <td>${city.getName()}</td>
                            <td>
                                <div>View</div>
                                <div><a href="
                                        <c:url value="controller">
                                            <c:param name="action" value="remove_city"></c:param>
                                            <c:param name="city_id" value="${city.getCode()}"></c:param>
                                        </c:url>">Remove</a></div>
                            </td>
                        </tr>
                    </c:forEach>
                </tbody>
            </table>

        </form>
    </body>
</html>
