/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import domen.UserEntity;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import repository.UserRepository;
import ws.klijent.user.Exception_Exception;

/**
 *
 * @author FON
 */
public class LoginAction extends AbstractAction {

    @Override
    public String execute(HttpServletRequest request) {
        String username = request.getParameter("username");
        String password = request.getParameter("password");
        try {
            //UserEntity user = UserRepository.getInstance().getUser(username, password);
//            request.setAttribute("user", user.getFirstName() + 
//                                            ", " + user.getLastName());
            ws.klijent.user.UserEntity u = login(username, password);
            HttpSession session = request.getSession(true);
            session.setAttribute("user", new UserEntity(u.getFirstName(), u.getLastName(), u.getUsername(), u.getPassword()));
            return "index";
        } catch (Exception ex) {
            ex.printStackTrace();
            request.setAttribute("errorMessage", ex.getMessage());
            return "login";
        }
    }

    private static ws.klijent.user.UserEntity login(java.lang.String arg0, java.lang.String arg1) throws Exception_Exception {
        ws.klijent.user.UserWebService_Service service = new ws.klijent.user.UserWebService_Service();
        ws.klijent.user.UserWebService port = service.getUserWebServicePort();
        return port.login(arg0, arg1);
    }

}
